dots.v2.apps.byApp_Id().jobInvocations.get()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.apps.byApp_Id(app_Id).jobInvocations.get(requestConfiguration?: RequestConfiguration<JobInvocationsRequestBuilderGetQueryParameters>): Promise<undefined | App_job_invocations>Description
List all job invocations for an app.
Parameters
Path Parameters
app_Idstring requiredExample:
4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cfThe app ID
Query Parameters
jobNamesarray of strings optionalExample:
["component1", "component2"]The job names to list job invocations for.
deploymentIdstring optionalExample:
3aa4d20e-5527-4c00-b496-601fbd22520aThe deployment ID
pageinteger optionalExample:
1Which 'page' of paginated results to return.
perPageinteger optionalExample:
2Number of items returned per page
Request Sample
Pagination
This method returns paginated results. The response includes a links.pages object with URLs for navigating between pages. To retrieve the next page, parse the next URL and pass the page query parameter:
let response = await client.v2.apps
.byApp_Id("4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf").jobInvocations.get();
let pages = response?.links?.pages;
while (pages && "next" in pages && typeof pages.next === "string") {
const page = Number(new URL(pages.next).searchParams.get("page"));
response = await client.v2.apps
.byApp_Id("4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf").jobInvocations.get({
queryParameters: {
page,
},
});
pages = response?.links?.pages;
}Response Example
More Information
See /v2/apps/{app_id}/job-invocations in the API reference for additional detail on responses, headers, parameters, and more.